Bug 76637 - static library incorrectly built, simply rebuild !
static library incorrectly built, simply rebuild !
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: libpng (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-24 09:52 EDT by Albert Flügel
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 14:33:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Flügel 2002-10-24 09:52:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.5.1 sun4u)

Description of problem:
We want to build the GD module of perl 5.8.0 using the static version
of libpng i.e. libpng.a . Note: using the shared library everything is
fine. More in detail: when linking with the line
gcc  -shared GD.o  -o blib/arch/auto/GD/GD.so   -lgd -lpng -lz -lfreetype -ljpeg
-lm
everything is ok, but with this line:
gcc  -shared GD.o  -o blib/arch/auto/GD/GD.so   -lgd /usr/lib/libpng.a -lz
-lfreetype -ljpeg -lm
and running make test we get the following error messages:
prompt# make test
PERL_DL_NONLAZY=1 /var/mnt/opt/perl_5.8.0/bin/perl "-MExtUtils::Command::MM"
"-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/GD....ok 1/10gd-png:  fatal libpng error: Invalid filter type specified    
gd-png error: setjmp returns error condition
t/GD....NOK 2gd-png:  fatal libpng error: Invalid filter type specified      
gd-png error: setjmp returns error condition
t/GD....NOK 3gd-png:  fatal libpng error: Invalid filter type specified      
gd-png error: setjmp returns error condition
t/GD....NOK 4gd-png:  fatal libpng error: Invalid filter type specified      
gd-png error: setjmp returns error condition
t/GD....NOK 5gd-png:  fatal libpng error: Invalid filter type specified      
gd-png error: setjmp returns error condition
t/GD....NOK 6gd-png:  fatal libpng error: Invalid filter type specified      
gd-png error: setjmp returns error condition
t/GD....NOK 7gd-png:  fatal libpng error: Invalid filter type specified      
gd-png error: setjmp returns error condition
t/GD....ok 9/10gd-png:  fatal libpng error: Invalid filter type specified    
gd-png error: setjmp returns error condition
t/GD....FAILED tests 2-8, 10                                                 
        Failed 8/10 tests, 20.00% okay (less 1 skipped test: 1 okay, 10.00%)
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/GD.t                    10    8  80.00%  2-8 10
1 subtest skipped.
Failed 1/1 test scripts, 0.00% okay. 8/10 subtests failed, 20.00% okay.
make: *** [test_dynamic] Error 29

All this applies to the RPM update libpng-1.0.14-0.7x.3.i386.rpm
and libpng-devel-1.0.14-0.7x.3.i386.rpm
The original packages on Redhat-7.2 and RedHat-7.3 did work (!).
To fix this i simply downloaded the source RPMs and rebuilt. The
resulting package worked like expected, so it's probably simply
a build error.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download the GD module of perl 5.8.0
2. run make
3. run the command listed in the description to use the static libpng.a
4. run make test
	

Actual Results:  error message see Description


Expected Results:  Correct result is the following output:
prompt# make test
PERL_DL_NONLAZY=1 /var/mnt/opt/perl_5.8.0/bin/perl "-MExtUtils::Command::MM"
"-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/GD....FAILED test 8                                                        
        Failed 1/10 tests, 90.00% okay (less 1 skipped test: 8 okay, 80.00%)
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/GD.t                    10    1  10.00%  8
1 subtest skipped.
Failed 1/1 test scripts, 0.00% okay. 1/10 subtests failed, 90.00% okay.
make: *** [test_dynamic] Error 29

NOTE: it is ok, that test 8 fails, but the important thing is, that
the test runs at all



Additional info:

I supplied all i have.
Problem can be fixed using the supplied inrformation.

Note You need to log in before you can comment on or make changes to this bug.